/* 
   ORSA - Orbit Reconstruction, Simulation and Analysis
   Copyright (C) 2002-2003 Pasquale Tricarico
   
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#ifndef _ORSA_CONDOR_H_
#define _ORSA_CONDOR_H_

#include <string>
#include <vector>

#include "orsa_universe.h"

namespace orsa {
  
  class Condor {
    
  public:
    Condor();
    
  public:
    void Submit();
    void Queue();
    void History();
    void Version();
    
  }; 
  
} // namespace orsa

#endif // _ORSA_CONDOR_H_
